org.apache.commons.math

## Class DimensionMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException
      - - org.apache.commons.math.DimensionMismatchException

All Implemented Interfaces:
  Serializable, MathThrowable

Deprecated.
in 2.2 (to be removed in 3.0). Please use its equivalent from package `org.apache.commons.math.exception`.

    public class DimensionMismatchException
    extends MathException

Error thrown when two dimensions differ.

Since:
  1.2
Version:
  $Revision: 1061778 $ $Date: 2011-01-21 13:12:39 +0100 (ven. 21 janv. 2011) $
See Also:
  Serialized Form

### Field Summary

Fields
`private int` `dimension1` Deprecated. First dimension.
`private int` `dimension2` Deprecated. Second dimension.
`private static long` `serialVersionUID` Deprecated. Serializable version identifier

### Constructor Summary

Constructors
Constructor and Description
`DimensionMismatchException(int dimension1, int dimension2)` Deprecated. Construct an exception from the mismatched dimensions

### Method Summary

Methods
`int` `getDimension1()` Deprecated. Get the first dimension
`int` `getDimension2()` Deprecated. Get the second dimension

### Methods inherited from class org.apache.commons.math.MathException

`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Deprecated.
Serializable version identifier

See Also:
  Constant Field Values

#### dimension1

    private final int dimension1

Deprecated.
First dimension.

#### dimension2

    private final int dimension2

Deprecated.
Second dimension.

### Constructor Detail

#### DimensionMismatchException

    public DimensionMismatchException(int dimension1,
                              int dimension2)

Deprecated.
Construct an exception from the mismatched dimensions

Parameters:
  `dimension1` - first dimension
  `dimension2` - second dimension

### Method Detail

#### getDimension1

    public int getDimension1()

Deprecated.
Get the first dimension

Returns:
  first dimension

#### getDimension2

    public int getDimension2()

Deprecated.
Get the second dimension

Returns:
  second dimension